%global dlrn_nvr python-octaviaclient-2.3.1-17.1.20230621221827.51347bc
%global dlrn 1
%define upstream_version 2.3.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x4c29ff0e437f3351fd82bdf47c5a3bc787dc7035
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global with_doc 0

%global pypi_name octaviaclient

%global common_desc \
Client for OpenStack Octavia (Load Balancer as a Service)

Name:           python-%{pypi_name}
Version: 2.3.1
Release: 17.1.20230621221828.51347bc%{?dist}
Summary:        Client for OpenStack Octavia (Load Balancer as a Service)

License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{name}
Source0: python-octaviaclient-2.3.1-17.1.20230621221827.51347bc.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=51347bcbca53d4aeecaab5cbd0f9a3f6b47520d8

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

%description
%{common_desc}

%package -n     python3-%{pypi_name}

BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-mock
BuildRequires:  python3-osc-lib
BuildRequires:  python3-osc-lib-tests
BuildRequires:  python3-oslo-log
BuildRequires:  python3-openstackclient
BuildRequires:  python3-cliff
BuildRequires:  python3-stestr

Requires:       python3-cliff >= 2.8.0
Requires:       python3-keystoneauth1 >= 3.18.0
Requires:       python3-osc-lib >= 1.14.1
Requires:       python3-oslo-serialization >= 2.18.0
Requires:       python3-oslo-utils >= 3.33.0
Requires:       python3-pbr
Requires:       python3-neutronclient >= 6.7.0
Requires:       python3-openstackclient >= 3.12.0
Requires:       python3-requests >= 2.14.2

Summary:        Client for OpenStack Octavia (Load Balancer as a Service)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{common_desc}

%if 0%{?with_doc}
# Documentation package
%package -n python-%{pypi_name}-doc
Summary:        Documentation for OpenStack Octavia Client

BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinxcontrib-rsvgconverter
BuildRequires:  python3-openstackdocstheme
BuildRequires:  python3-keystoneclient
BuildRequires:  python3-osc-lib
BuildRequires:  python3-openstackclient

%description -n python-%{pypi_name}-doc
Documentation for the client library for interacting with Openstack
Octavia API.
%endif


# Test package
%package -n python3-%{pypi_name}-tests
Summary:        OpenStack Octavia client tests
%{?python_provide:%python_provide python3-%{pypi_name}-tests}

Requires:       python3-%{pypi_name} = %{version}-%{release}
Requires:       python3-fixtures >= 1.3.1
Requires:       python3-mock
Requires:       python3-testtools
Requires:       python3-subunit >= 0.0.18
Requires:       python3-osc-lib >= 1.14.1
Requires:       python3-osc-lib-tests
Requires:       python3-oslo-log
Requires:       python3-openstackclient
Requires:       python3-stestr
%if 3 == 2
Requires:       python-webob >= 1.2.3
%else
Requires:       python3-webob >= 1.2.3
%endif

%description -n python3-%{pypi_name}-tests
OpenStack Octavia client tests

This package contains the example client test files.

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{name}-%{upstream_version} -S git

# Let RPM handle the dependencies
rm -f {,test-}requirements.txt

%build
%{py3_build}

%if 0%{?with_doc}
# generate html docs
sphinx-build -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}


%check
rm -f ./octaviaclient/tests/unit/test_hacking.py
export PYTHON=%{__python3}
export OS_TEST_PATH='./octaviaclient/tests/unit'
export PATH=$PATH:$RPM_BUILD_ROOT/usr/bin
export PYTHONPATH=$PWD
stestr --test-path $OS_TEST_PATH run


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/python_%{pypi_name}-*-py%{python3_version}.egg-info
%exclude %{python3_sitelib}/%{pypi_name}/tests

%if 0%{?with_doc}
%files -n python-%{pypi_name}-doc
%doc doc/build/html
%license LICENSE
%endif

%files -n python3-%{pypi_name}-tests
%{python3_sitelib}/%{pypi_name}/tests

%changelog
* Wed Jun 21 2023 OSP Prod Chain <dev-null@redhat.com> 2.3.1-17.1.20230621221827.51347bc
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 2.3.1-1.20220727225443.51347bc
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 2.3.1-0.20220712122754.51347bc
- Update patches

* Wed Jul 14 2021 OSP Prod Chain <dev-null@redhat.com> 2.3.1-0.20210714061809.51347bc
- Update patches
- Improve the client performance on large clouds
- Support pagination for 'list' API calls
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 2.3.0-0.20210527235343.e7922ac
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 2.3.0-1
- Update patches

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove Babel
- Improve error messages in list/show calls
- Remove install unnecessary packages
- Add ALPN support for pools
- Fix lower-constraints job
- remove unicode from code
- Add tag support for Octavia resources
- Add support for PROXYV2 protocol
- Add Python3 wallaby unit tests
- Update master for stable/victoria

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add SCTP support
- Fix the lower-constraints job for focal
- Add amphora delete command
- Fix hacking min version to 3.0.1
- Add TLS versions and ciphers unsets
- Add ALPN support for listeners
- Fix new pylint errors
- Show operating_status in listing LB output
- Add l7policy and l7rule to octavia quota

* Sun Sep 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions
- Add the ability to specify TLS protocols for a pool
- Add Python3 victoria unit tests
- Remove mocking of functools.partial
- Add the ability to specify TLS protocols for a listener
- Remove Babel requirement
- Update master for stable/ussuri

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add the ability to specify the cipher list for a listener
- Add the ability to specify the cipher list for a pool
- Cleanup py27 support
- Update hacking for Python3
- Fix doc8 check
- Align python-octaviaclient to octavia coding style
- Remove the dependency on the "mock" package
- Fix Octavia client for API endpoint 503
- Add --long to amphora-list to show more columns
- Fix long CLI error messages
- Add amphora stats show API and CLI

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add support for availability zone [profiles]"
- Merge "Stop testing python 2"
- Add support for availability zone [profiles]
- Fix API breakage due to new exceptions module
- Merge "Add "--wait" functionality"
- Add "--wait" functionality
- Do not get all resources if ID is passed
- Stop testing python 2
- Merge "List l7poclies by listener"
- List l7poclies by listener

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add librsvg2-bin/-tools to bindep.txt
- Merge "Drop netifaces from requirements.txt"
- Merge "Generate PDF documentation"
- Drop netifaces from requirements.txt
- Update master for stable/train
- Generate PDF documentation

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


